#include "partition.h"
#include <bits/stdc++.h>

using namespace std;
using ll = long long;

void coutv(vector<int> v) {
    for (auto u : v) {
        cout << u << endl;
    }
}

vector<int> solve(vector<int> A) {
    ll n = A.size();
    vector<int> ans(n);
    ll S = 0;
    for (auto x : A)
    {
        S += (ll) x;
    }
    for (ll i = 0; i < n; i++)
    {
        ans[i] = i;
    }
    swap(ans[(n - 1) / 2], ans[n - 1]);
    //coutv(ans);
    return ans;
}

/*int main()
{
    ll n;
    cin >> n;
    vector<int> A(n);
    for (ll i = 0; i < n; i++)
    {
        cin >> A[i];
    }
    solve(A);
}*/
